
<!-- README.md is generated from README.Rmd. Please edit that file -->

<a href="https://travis-ci.org/dynverse/dynplot"><img src="https://travis-ci.org/dynverse/dynplot.svg" align="left"></a>
<a href="https://codecov.io/gh/dynverse/dynplot">
<img src="https://codecov.io/gh/dynverse/dynplot/branch/master/graph/badge.svg" align="left" /></a>
[**ℹ️ Tutorials**](https://dynverse.org)     [**ℹ️ Reference
documentation**](https://dynverse.org/reference/dynplot)
<br><img src="man/figures/logo.png" align="right" />

# Common visualisation tools for single-cell trajectories

## Installation

``` r
devtools::install_github("dynverse/dynplot")
```

On linux, udunits2 has to be installed:

  - Debian / Ubuntu / Linux mint: `sudo apt-get install libudunits2-dev`
  - Fedora / CentOS: `sudo dnf install udunits2-devel`

## Usage

The package provides different ways to plot both the topology and
cellular properties of a trajectory:

    #> Warning: Unknown or uninitialised column: 'group_id'.
    
    #> Warning: Unknown or uninitialised column: 'group_id'.
    
    #> Warning: Unknown or uninitialised column: 'group_id'.
    
    #> Warning: Unknown or uninitialised column: 'group_id'.
    
    #> Warning: Unknown or uninitialised column: 'group_id'.
    
    #> Warning: Unknown or uninitialised column: 'group_id'.
    
    #> Warning: Unknown or uninitialised column: 'group_id'.
    
    #> Warning: Unknown or uninitialised column: 'group_id'.

<img src="man/figures/cells-1.png" width="100%" />

And to plot the expression and feature importances of many genes along
the
    trajectory

    #> Warning: Column `waypoint_id` joining factors with different levels,
    #> coercing to character vector

<img src="man/figures/heatmap-1.png" width="100%" />

## Latest changes

Check out `news(package = "dynwrap")` or [NEWS.md](NEWS.md) for a full
list of changes.

<!-- This section gets automatically generated from inst/NEWS.md -->

### Recent changes in dynplot 1.0.2 (04-07-2019)

  - BUG FIX: Fix weird ceiling warning.

  - BUG FIX: Fix for new select waypoints (\#41).

  - MINOR CHANGE: Added parameters `size_cells`, `alpha_cells` and
    `border_radius_percentage` to plotting functions that plot cells
    (\#40).

### Recent changes in dynplot 1.0.1 (07-05-2019)

  - BUG FIX: Remove dependency on shades, fixing rgb2hsv
bug

## Dynverse dependencies

<!-- Generated by "update_dependency_graphs.R" in the main dynverse repo -->

![](man/figures/dependencies.png)
